Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowFacesContext.FlowExternalContext

    java.lang.Object
      javax.faces.context.ExternalContext
          org.springframework.faces.webflow.FlowFacesContext.FlowExternalContext

Direct Known Subclasses:
  Jsf2FlowFacesContext.Jsf2FlowExternalContext

Enclosing class:
  FlowFacesContext

    protected class FlowFacesContext.FlowExternalContext

extends javax.faces.context.ExternalContext

Field Summary
`protected javax.faces.context.ExternalContext` | `delegate`

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`FlowFacesContext.FlowExternalContext(javax.faces.context.ExternalContext delegate)`

Method Summary
`void` | `dispatch(java.lang.String path)`
`java.lang.String` | `encodeActionURL(java.lang.String url)`
`java.lang.String` | `encodeNamespace(java.lang.String name)`
`java.lang.String` | `encodeResourceURL(java.lang.String url)`
`java.util.Map` | `getApplicationMap()`
`java.lang.String` | `getAuthType()`
`java.lang.Object` | `getContext()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Map` | `getInitParameterMap()`
`java.lang.String` | `getRemoteUser()`
`java.lang.Object` | `getRequest()`
`java.lang.String` | `getRequestCharacterEncoding()`
`java.lang.String` | `getRequestContentType()`
`java.lang.String` | `getRequestContextPath()`
`java.util.Map` | `getRequestCookieMap()`
`java.util.Map` | `getRequestHeaderMap()`
`java.util.Map` | `getRequestHeaderValuesMap()`
`java.util.Locale` | `getRequestLocale()`
`java.util.Iterator` | `getRequestLocales()`
`java.util.Map` | `getRequestMap()`
`java.util.Map` | `getRequestParameterMap()`
`java.util.Iterator` | `getRequestParameterNames()`
`java.util.Map` | `getRequestParameterValuesMap()`
`java.lang.String` | `getRequestPathInfo()`
`java.lang.String` | `getRequestServletPath()`
`java.net.URL` | `getResource(java.lang.String path)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String path)`
`java.util.Set` | `getResourcePaths(java.lang.String path)`
`java.lang.Object` | `getResponse()`
`java.lang.String` | `getResponseCharacterEncoding()`
`java.lang.String` | `getResponseContentType()`
`java.lang.Object` | `getSession(boolean create)`
`java.util.Map` | `getSessionMap()`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isUserInRole(java.lang.String role)`
`void` | `log(java.lang.String message)`
`void` | `log(java.lang.String message, java.lang.Throwable exception)`
`void` | `redirect(java.lang.String url)`
`void` | `setRequest(java.lang.Object request)`
`void` | `setRequestCharacterEncoding(java.lang.String encoding)`
`void` | `setResponse(java.lang.Object response)` Store the native response object to be used for the duration of the Faces Request
`void` | `setResponseCharacterEncoding(java.lang.String encoding)`

Methods inherited from class javax.faces.context.ExternalContext
`addResponseCookie, addResponseHeader, encodeBookmarkableURL, encodePartialActionURL, encodeRedirectURL, getApplicationContextPath, getClientWindow, getContextName, getFlash, getMimeType, getRealPath, getRequestContentLength, getRequestScheme, getRequestServerName, getRequestServerPort, getResponseBufferSize, getResponseOutputStream, getResponseOutputWriter, getSessionId, getSessionMaxInactiveInterval, invalidateSession, isResponseCommitted, isSecure, responseFlushBuffer, responseReset, responseSendError, setClientWindow, setResponseBufferSize, setResponseContentLength, setResponseContentType, setResponseHeader, setResponseStatus, setSessionMaxInactiveInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected javax.faces.context.ExternalContext delegate

Constructor Detail

### FlowFacesContext.FlowExternalContext

    public FlowFacesContext.FlowExternalContext(javax.faces.context.ExternalContext delegate)

Method Detail

### getResponse

    public java.lang.Object getResponse()

### setResponse

    public void setResponse(java.lang.Object response)

  Store the native response object to be used for the duration of the Faces Request

### dispatch

    public void dispatch(java.lang.String path)
                  throws java.io.IOException

  Specified by:
    `dispatch` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.IOException`

### encodeActionURL

    public java.lang.String encodeActionURL(java.lang.String url)

  Specified by:
    `encodeActionURL` in class `javax.faces.context.ExternalContext`

### encodeNamespace

    public java.lang.String encodeNamespace(java.lang.String name)

  Specified by:
    `encodeNamespace` in class `javax.faces.context.ExternalContext`

### encodeResourceURL

    public java.lang.String encodeResourceURL(java.lang.String url)

  Specified by:
    `encodeResourceURL` in class `javax.faces.context.ExternalContext`

### getApplicationMap

    public java.util.Map getApplicationMap()

  Specified by:
    `getApplicationMap` in class `javax.faces.context.ExternalContext`

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    `getAuthType` in class `javax.faces.context.ExternalContext`

### getContext

    public java.lang.Object getContext()

  Specified by:
    `getContext` in class `javax.faces.context.ExternalContext`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in class `javax.faces.context.ExternalContext`

### getInitParameterMap

    public java.util.Map getInitParameterMap()

  Specified by:
    `getInitParameterMap` in class `javax.faces.context.ExternalContext`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in class `javax.faces.context.ExternalContext`

### getRequest

    public java.lang.Object getRequest()

  Specified by:
    `getRequest` in class `javax.faces.context.ExternalContext`

### getRequestCharacterEncoding

    public java.lang.String getRequestCharacterEncoding()

  Overrides:
    `getRequestCharacterEncoding` in class `javax.faces.context.ExternalContext`

### getRequestContentType

    public java.lang.String getRequestContentType()

  Overrides:
    `getRequestContentType` in class `javax.faces.context.ExternalContext`

### getRequestContextPath

    public java.lang.String getRequestContextPath()

  Specified by:
    `getRequestContextPath` in class `javax.faces.context.ExternalContext`

### getRequestCookieMap

    public java.util.Map getRequestCookieMap()

  Specified by:
    `getRequestCookieMap` in class `javax.faces.context.ExternalContext`

### getRequestHeaderMap

    public java.util.Map getRequestHeaderMap()

  Specified by:
    `getRequestHeaderMap` in class `javax.faces.context.ExternalContext`

### getRequestHeaderValuesMap

    public java.util.Map getRequestHeaderValuesMap()

  Specified by:
    `getRequestHeaderValuesMap` in class `javax.faces.context.ExternalContext`

### getRequestLocale

    public java.util.Locale getRequestLocale()

  Specified by:
    `getRequestLocale` in class `javax.faces.context.ExternalContext`

### getRequestLocales

    public java.util.Iterator getRequestLocales()

  Specified by:
    `getRequestLocales` in class `javax.faces.context.ExternalContext`

### getRequestMap

    public java.util.Map getRequestMap()

  Specified by:
    `getRequestMap` in class `javax.faces.context.ExternalContext`

### getRequestParameterMap

    public java.util.Map getRequestParameterMap()

  Specified by:
    `getRequestParameterMap` in class `javax.faces.context.ExternalContext`

### getRequestParameterNames

    public java.util.Iterator getRequestParameterNames()

  Specified by:
    `getRequestParameterNames` in class `javax.faces.context.ExternalContext`

### getRequestParameterValuesMap

    public java.util.Map getRequestParameterValuesMap()

  Specified by:
    `getRequestParameterValuesMap` in class `javax.faces.context.ExternalContext`

### getRequestPathInfo

    public java.lang.String getRequestPathInfo()

  Specified by:
    `getRequestPathInfo` in class `javax.faces.context.ExternalContext`

### getRequestServletPath

    public java.lang.String getRequestServletPath()

  Specified by:
    `getRequestServletPath` in class `javax.faces.context.ExternalContext`

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.net.MalformedURLException

  Specified by:
    `getResource` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.net.MalformedURLException`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String path)

  Specified by:
    `getResourceAsStream` in class `javax.faces.context.ExternalContext`

### getResourcePaths

    public java.util.Set getResourcePaths(java.lang.String path)

  Specified by:
    `getResourcePaths` in class `javax.faces.context.ExternalContext`

### getResponseCharacterEncoding

    public java.lang.String getResponseCharacterEncoding()

  Overrides:
    `getResponseCharacterEncoding` in class `javax.faces.context.ExternalContext`

### getResponseContentType

    public java.lang.String getResponseContentType()

  Overrides:
    `getResponseContentType` in class `javax.faces.context.ExternalContext`

### getSession

    public java.lang.Object getSession(boolean create)

  Specified by:
    `getSession` in class `javax.faces.context.ExternalContext`

### getSessionMap

    public java.util.Map getSessionMap()

  Specified by:
    `getSessionMap` in class `javax.faces.context.ExternalContext`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in class `javax.faces.context.ExternalContext`

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Specified by:
    `isUserInRole` in class `javax.faces.context.ExternalContext`

### log

    public void log(java.lang.String message,
                    java.lang.Throwable exception)

  Specified by:
    `log` in class `javax.faces.context.ExternalContext`

### log

    public void log(java.lang.String message)

  Specified by:
    `log` in class `javax.faces.context.ExternalContext`

### redirect

    public void redirect(java.lang.String url)
                  throws java.io.IOException

  Specified by:
    `redirect` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.IOException`

### setRequest

    public void setRequest(java.lang.Object request)

  Overrides:
    `setRequest` in class `javax.faces.context.ExternalContext`

### setRequestCharacterEncoding

    public void setRequestCharacterEncoding(java.lang.String encoding)
                                     throws java.io.UnsupportedEncodingException

  Overrides:
    `setRequestCharacterEncoding` in class `javax.faces.context.ExternalContext`
  Throws:
    `java.io.UnsupportedEncodingException`

### setResponseCharacterEncoding

    public void setResponseCharacterEncoding(java.lang.String encoding)

  Overrides:
    `setResponseCharacterEncoding` in class `javax.faces.context.ExternalContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD